%define upstream_name	 Net-DNS
%define upstream_version 0.83

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to the DNS resolver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::HMAC) >= 1.10.0
BuildRequires: perl(Digest::MD5) >= 2.130.0
BuildRequires: perl(Digest::SHA) >= 5.230.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket) >= 1.240.0
BuildRequires: perl(MIME::Base64) >= 2.110.0
BuildRequires: perl(Test::More) >= 0.520.0
BuildRequires: perl-devel

%{?perl_default_filter}

%description
Net::DNS is a collection of Perl modules that act as a Domain Name System (DNS)
resolver. It allows the programmer to perform DNS queries that are beyond the
capabilities of gethostbyname and gethostbyaddr.

The programmer should be somewhat familiar with the format of a DNS packet and
its various sections. See RFC 1035 or DNS and BIND (Albitz & Liu) for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README TODO demo
%{_mandir}/*/*
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net


%changelog
* Fri Mar 04 2016 shlomif <shlomif> 0.830.0-1.mga5
+ Revision: 985766
- New version 0.83 to fix the issues raised in MGA#16308

* Wed Oct 15 2014 umeabot <umeabot> 0.770.0-4.mga5
+ Revision: 739110
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.770.0-3.mga5
+ Revision: 732414
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.770.0-2.mga5
+ Revision: 685638
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 0.770.0-1.mga5
+ Revision: 640014
- update to 0.77
- update to 0.76

* Tue Jun 03 2014 pterjan <pterjan> 0.750.0-2.mga5
+ Revision: 631479
- Rebuild for perl 5.20

* Tue May 20 2014 jquelin <jquelin> 0.750.0-1.mga5
+ Revision: 624368
- update to 0.75

* Mon Feb 10 2014 jquelin <jquelin> 0.740.0-1.mga5
+ Revision: 588550
- update to 0.74

* Sat Oct 19 2013 umeabot <umeabot> 0.720.0-5.mga4
+ Revision: 525021
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.720.0-4.mga4
+ Revision: 431747
+ rebuild (emptylog)

* Wed May 29 2013 jquelin <jquelin> 0.720.0-3.mga4
+ Revision: 431741
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.720.0-2.mga3
+ Revision: 370533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.720.0-1.mga3
+ Revision: 342438
- update to 0.72

* Wed May 30 2012 jquelin <jquelin> 0.680.0-2.mga3
+ Revision: 250985
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 0.680.0-1.mga2
+ Revision: 213106
- update to 0.68

* Mon Nov 07 2011 kharec <kharec> 0.670.0-1.mga2
+ Revision: 165004
- update to 0.67

* Sun Jun 12 2011 sander85 <sander85> 0.660.0-4.mga2
+ Revision: 104835
- Rebuild for perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.660.0-3.mga1
+ Revision: 13333
- imported package perl-Net-DNS

